IBM Support

How to configure CentOS to install and operate ClearCase

Technote (FAQ)


Question

How do you configure CentOS 5.x, CentOS 6.x or CentOS 7.x on x86 to install and run IBM Rational ClearCase?

Cause

ClearCase requires some system packages which may not be installed on your CentOS 5.x, CentOS 6.x or CentOS 7.x systems. These packages must be installed before you install and configure ClearCase.

Answer

Table of Contents:





Configuration Requirements for CentOS 5

 List of packages for 32-bit


To install the packages, open a terminal and type the following two command lines (each command in a single line):

# sudo yum -y groupinstall "X Window System" Desktop

# sudo yum -y install kernel-headers



 List of packages for 64-bit


To install the packages, open a terminal and type the following two command lines (each command in a single line):

# sudo yum -y groupinstall "X Window System" Desktop

# sudo yum -y install kernel-headers


IMPORTANT: There is no pre-built MVFS module for CentOS 5. When asked if you want to rebuild the MVFS module during ClearCase installation, answer "Yes, rebuild MVFS using the current kernel" (Default option is "No, install pre-built MVFS").







Configuration Requirements for CentOS 6

 List of packages for 32-bit


To install the packages, open a terminal and type the following two command lines (each command in a single line):

# sudo yum -y groupinstall "X Window System" Desktop

# sudo yum -y install kernel-headers libacl ncurses-libs libstdc++-4.4.6-4.el6 gtk2 PackageKit-gtk-module libcanberra-gtk2



 List of packages for 64-bit


To install the packages, open a terminal and type the following two command lines (each command in a single line):

# sudo yum -y groupinstall "X Window System" Desktop

# sudo yum -y install kernel-headers libacl.i686 ncurses-libs.i686 libstdc++-4.4.6-4.el6.i686 gtk2.i686 PackageKit-gtk-module.i686 libcanberra-gtk2.i686


IMPORTANT: There is no pre-built MVFS module for CentOS 6. When asked if you want to rebuild the MVFS module during ClearCase installation, answer "Yes, rebuild MVFS using the current kernel" (Default option is "No, install pre-built MVFS").


Configuration Requirements for CentOS 7
  • X86_64 - selected tab,
List of packages

To install the packages, open a terminal and type the following two command lines (each command in a single line):

# sudo yum -y group install x11

# sudo yum -y install compat-libstdc++-33.i686 libXmu.i686 libXp.i686 libacl.i686 ncurses-libs.i686 motif.i686 xterm libmount.i686

IMPORTANT: There is no pre-built MVFS module for CentOS 7. When asked if you want to rebuild the MVFS module during ClearCase installation, answer "Yes, rebuild MVFS using the current kernel" (Default option is "No, install pre-built MVFS").





Related information

Rational ClearCase Limited Vendor Support Policy

Document information

More support for: Rational ClearCase
Operating System Configurations

Software version: 8.0.0.7, 8.0.0.8, 8.0.0.9, 8.0.1, 8.0.1.1, 8.0.1.2, 8.0.1.3, 8.0.1.4, 8.0.1.5, 8.0.1.6, 8.0.1.7, 8.0.1.8, 8.0.1.9, 8.0.1.10, 8.0.1.11, 9.0, 9.0.0.1

Operating system(s): Linux

Reference #: 1638431

Modified date: 06 July 2016